Public Member Functions | Private Attributes

# AIListSorterValueAscending Class Reference

Sort by value, ascending. More...

Inheritance diagram for AIListSorterValueAscending:

## Public Member Functions
| AIListSorterValueAscending (AIList *list)
| Create a new sorter.
int32 | Begin ()
| Get the first item of the sorter.
void | End ()
| Stop iterating a sorter.
void | FindNext ()
| Find the next item, and store that information.
int32 | Next ()
| Get the next item of the sorter.
void | Remove (int item)
| Callback from the list if an item gets removed.
## Private Attributes
AIList::AIListBucket::iterator | bucket_iter
| The iterator over the list to find the buckets.
AIList::AIItemList * | bucket_list
| The current bucket list we're iterator over.
AIList::AIItemList::iterator | bucket_list_iter
| The iterator over the bucket list.

## Detailed Description

Sort by value, ascending.

Definition at line 64 of file ai_list.cpp.

## Constructor & Destructor Documentation

AIListSorterValueAscending::AIListSorterValueAscending | ( | AIList * | list | ) | `[inline]`

Create a new sorter.

Parameters:

  | list | The list to sort.

Definition at line 75 of file ai_list.cpp.

References End().

The documentation for this class was generated from the following file:

- src/ai/api/ai_list.cpp